Skip to main content
GET
/
robots
/
{robotId}
/
attributes
/
{attributeId}
/
timerange
Returns a list with the values for a selected attribute
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/attributes/{attributeId}/timerange \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "type": "array",
  "values": {
    "values": "#/components/schemas/AttributeDefinition"
  }
}

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

attributeId
string
required

The attribute id

Query Parameters

startTs
string
required

The start timestamp

endTs
string
required

The end timestamp

limit
integer

Elements per page

page
integer

Page number

Response

Attributes values

data
object[][]
pagination
object